API ReferencePayments
Get all transactions
Retrieve all payment transactions for the authenticated organisation.
GET
/v1/payments/transactionsAuthorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
page?number
limit?number
reference?string
type?string
Value in
- "DEPOSIT"
- "WITHDRAWAL"
- "PAYMENT"
- "REFUND"
- "REVERSAL"
- "FEE"
- "TRANSFER"
status?string
Value in
- "PENDING"
- "PROCESSING"
- "SUCCESS"
- "FAILED"
- "ABANDONED"
- "REVERSED"
- "EXPIRED"
gateway?string
customerEmail?string
startDate?string
endDate?string
minAmount?number
maxAmount?number
Response Body
application/json
curl -X GET "https://example.com/v1/payments/transactions"{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "transactions": [ { "id": "txn_abc123", "reference": "TXN_1634567890123_ABC123", "type": "DEPOSIT", "status": "SUCCESS", "amount": 10000, "currency": "NGN", "fee": 150, "netAmount": 9850, "gateway": "paystack", "gatewayRef": "1234567890", "channel": "card", "customerEmail": "customer@example.com", "customerName": "John Doe", "description": "Wallet funding", "metadata": { "source": "web" }, "initiatedAt": "2025-10-20T12:00:00.000Z", "completedAt": "2025-10-20T12:05:00.000Z", "failedAt": "2025-10-20T12:05:00.000Z", "createdAt": "2025-10-20T12:00:00.000Z", "updatedAt": "2025-10-20T12:05:00.000Z" } ], "total": 25 }}